Bug 483079 - Review Request: perl-constant-boolean - Define TRUE and FALSE constants
Review Request: perl-constant-boolean - Define TRUE and FALSE constants
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-29 11:23 EST by Allisson Azevedo
Modified: 2012-03-24 15:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-01 19:38:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Allisson Azevedo 2009-01-29 11:23:55 EST
Spec URL: http://allisson.fedorapeople.org/packages/perl-constant-boolean/perl-constant-boolean.spec

SRPM URL: http://allisson.fedorapeople.org/packages/perl-constant-boolean/perl-constant-boolean-0.01-1.fc10.src.rpm

Description: Defines TRUE and FALSE constants in caller's namespace. You could use
simple values like empty string or zero for false, or any non-empty and non-
zero string value as true, but the TRUE and FALSE constants are more
descriptive.
Comment 1 manuel wolfshant 2009-01-29 21:21:50 EST
cannot mock build for the moment, due to 
ERROR: Command failed:
 # /usr/bin/yum --installroot /var/lib/mock/fedora-development-x86_64/root/  update
http://download.fedora.redhat.com/pub/fedora/linux/development/x86_64/os/repodata/fdb56d145701684596fd7c0a370d99c84e802069ce23185690311f0027de44e4-primary.sqlite.bz2: [Errno -3] Error performing checksum
Trying other mirror.
Error: failure: repodata/fdb56d145701684596fd7c0a370d99c84e802069ce23185690311f0027de44e4-primary.sqlite.bz2 from fedora: [Errno 256] No more mirrors to try.
Comment 2 manuel wolfshant 2009-01-30 07:13:16 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic (same as perl)
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     SHA1SUM of package: 1b5c8fc4b76bd9bf61063a92fdfbf6394cac9641 constant-boolean-0.01.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on: koji scratch build
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] make check passes

================
*** APPROVED ***
================
Comment 3 Allisson Azevedo 2009-01-30 07:24:10 EST
New Package CVS Request
=======================
Package Name: perl-constant-boolean
Short Description: Define TRUE and FALSE constants
Owners: allisson
Branches: F-9 F-10
Comment 4 Kevin Fenzi 2009-02-01 13:51:39 EST
cvs done.
Comment 5 Emmanuel Seyman 2010-05-13 15:47:44 EDT
I'm adding perl-sig to InitialCC.

Package Change Request
======================
Package Name: perl-constant-boolean
Owners: eseyman
InitialCC: perl-sig
Comment 6 Dennis Gilmore 2010-05-13 18:50:42 EDT
you can do that via the pkgdb web interface yourself
Comment 7 Paul Howarth 2012-03-09 07:46:24 EST
Emmanuel,

could we please have an EPEL-6 branch for this package? The current Rawhide package builds OK there, once Symbol::Util is available. I (pghmcfc) would be happy to maintain it if you're not interested.
Comment 8 Emmanuel Seyman 2012-03-09 09:07:10 EST
Package Change Request
======================
Package Name: perl-constant-boolean
New Branches: el6
Owners: eseyman pghmcfc
InitialCC: perl-sig
Comment 9 Gwyn Ciesla 2012-03-09 09:24:01 EST
Git done (by process-git-requests).
Comment 10 Fedora Update System 2012-03-09 10:34:14 EST
perl-constant-boolean-0.02-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-constant-boolean-0.02-5.el6
Comment 11 Fedora Update System 2012-03-24 15:10:53 EDT
perl-constant-boolean-0.02-5.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.